<%@ Page Language="C#" AutoEventWireup="true" Codebehind="Default.aspx.cs" Inherits="Default2" %>

<%@ Register Assembly="MindFusion.Diagramming.WebForms" Namespace="MindFusion.Diagramming.WebForms" TagPrefix="ndiag" %>
<%@ Register Assembly="MindFusion.Extenders" Namespace="MindFusion.Diagramming.WebForms" TagPrefix="ndiag" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
  <title>MindFusion NetDiagram Sample - Behavior</title>
  <link href="common/jquery-ui.min.css" rel="stylesheet" />
  <link href="common/samples.css" rel="stylesheet" />
  <script type="text/javascript" src="common/jquery.min.js"></script>
  <script type="text/javascript" src="common/jquery-ui.min.js"></script>
  <script type="text/javascript" src="common/samples.js"></script>
</head>
<body>
<form id="form1" runat="server">
  <asp:ScriptManager id="ScriptManager1" runat="server" />
  <ndiag:InteractivityExtender runat="server" TargetControlID="diagramView" ID="InteractivityExtender1" />

  <div id="header" style="height: 49px;">
    <div style="float: left; margin-right: 5px;">
      <asp:Label ID="Label2" runat="server" Text="Behavior:" class="label"></asp:Label>
      <asp:ListBox ID="behavior" runat="server" AutoPostBack="True" OnSelectedIndexChanged="behavior_SelectedIndexChanged">
        <asp:ListItem>Modify</asp:ListItem>
        <asp:ListItem Selected="True">DrawShapes</asp:ListItem>
        <asp:ListItem>LinkShapes</asp:ListItem>
        <asp:ListItem>DrawTables</asp:ListItem>
        <asp:ListItem>LinkTables</asp:ListItem>
        <asp:ListItem>DrawLinks</asp:ListItem>
        <asp:ListItem>DoNothing</asp:ListItem>
      </asp:ListBox>
    </div>
    <div style="float: left;">
		  <asp:Label ID="Label3" runat="server" Text="Status:" class="label"></asp:Label>
      <asp:Label ID="lblStatus" runat="server" Text=""></asp:Label>
    </div>
    <div style="float: right; margin-right: 5px; margin-top: 17px;">
      <button id="expandButton" onclick="onExpandCollapse()">&gt;</button>
    </div>
	</div>

  <div id="info" style="top: 60px; bottom: 24px;">
    <div id="infoTab" style="padding: 10px;">
      <h1>About this sample</h1>
      <p>This sample demonstrates the effect of the Behavior property in ImageMap mode. Switch the behavior through the combo box at the top, then try interacting with the diagram to see the effect.</p>
    </div>
  </div>

  <div id="content" style="top: 60px; bottom: 24px;">
		<ndiag:DiagramView id="diagramView" runat="server" style="position: absolute; left: 0px; top: 0px; right: 0px; bottom: 0px;"
			ClientSideMode="ImageMap"
			Behavior="DrawShapes"
			DelKeyAction="DeleteActiveItem"
			Diagram-AlignToGrid="false"
			OnNodeClicked="diagramView_NodeClicked"
			OnNodeCreated="diagramView_NodeCreated"
			OnNodeDeleted="diagramView_NodeDeleted"
			OnNodeModified="diagramView_NodeModified">
		</ndiag:DiagramView>
  </div>

  <div id="footer" style="height: 24px;">
    <span id="copyright"></span>
  </div>

</form>

<script type="text/javascript">
  $('#behavior').on("selectmenuchange", function () {
    __doPostBack();
  });
</script>

</body>
</html>